<?php
use Index\Data\IDbConnection;
use Index\Data\Migration\IDbMigration;

final class CreateCountersTable_20230728_212101 implements IDbMigration {
    public function migrate(IDbConnection $conn): void {
        $conn->execute('
            CREATE TABLE msz_counters (
                counter_name    VARBINARY(64) NOT NULL,
                counter_value   BIGINT(20)    NOT NULL DEFAULT "0",
                counter_updated TIMESTAMP     NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
                PRIMARY KEY (counter_name)
            ) ENGINE=InnoDB COLLATE=utf8mb4_bin
        ');
    }
}
